# Uses of Class
org.eclipse.jface.viewers.OpenEvent

Packages that use OpenEvent
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.

## Uses of OpenEvent in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type OpenEvent
Modifier and Type
Method
Description
`void`
CompareViewerPane.`open(OpenEvent event)`

## Uses of OpenEvent in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type OpenEvent
Modifier and Type
Method
Description
`protected void`
StructuredViewer.`fireOpen(OpenEvent event)`
Notifies any open event listeners that a open event has been received.
`void`
IOpenListener.`open(OpenEvent event)`
Notifies of an open event.

## Uses of OpenEvent in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text with parameters of type OpenEvent
Modifier and Type
Method
Description
`protected void`
AbstractTextSearchViewPage.`handleOpen(OpenEvent event)`
This method is called when the search page gets an 'open' event from its underlying viewer (for example on double click).